Bug 132755 - modify_ldt.2 refers to non-existant header
Summary: modify_ldt.2 refers to non-existant header
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: man-pages   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Ryska
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-16 18:29 UTC by Stas Sergeev
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: man-pages-2.05-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-04 14:53:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stas Sergeev 2004-09-16 18:29:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
"man modify_ldt" says:

SYNOPSIS
       #include <linux/ldt.h>
       #include <linux/unistd.h>

However, <linux/ldt.h> does not exist. The proper
reference would be <asm/ldt.h>.

Version-Release number of selected component (if applicable):
man-pages-1.66-2

How reproducible:
Always

Steps to Reproduce:
1.Compile the program that includes <linux/ldt.h>,
preferably with "-Wall -Werror"
    

Actual Results:  Wont compile.

Expected Results:  Compile without a warnings.

Additional info:
The man page should be fixed.

Comment 1 Matthew Miller 2005-04-26 16:31:03 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.


Note You need to log in before you can comment on or make changes to this bug.